from flask_restx import fields, Namespace  

billing_ns = Namespace('billing', description='Authentication')

product_model = billing_ns.model('Product', {
    'name': fields.String(required=True, description='Name of the product'),
    'description': fields.String(required=True, description='Description of the product'),
    'price': fields.Float(required=True, description='Price of the product'),
})

update_price_model = billing_ns.model('UpdatePrice', {
    'price': fields.Float(required=False, description='New product price'),
    'description': fields.String(required=False, description='New description of the product'),
    'price': fields.Float(required=False, description='New price of the product'),
})